Bug 392669 - Duplicate file notifications when using multiple monitors
Summary: Duplicate file notifications when using multiple monitors
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Unclassified
Component: Notifications (show other bugs)
Version: 5.12.4
Platform: Archlinux Packages Linux
: NOR normal
Target Milestone: 1.0
Assignee: Kai Uwe Broulik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-04-03 08:45 UTC by Bart Willems
Modified: 2019-05-09 09:33 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.16.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bart Willems 2018-04-03 08:45:02 UTC
I have 2 monitors and I receive the same (copy folder, delete folder,...) notification 2 times on each monitor.

Steps to reproduce: 
* Have multiple monitors, with 1 system tray on each monitor
* Copy/delete a big folder or file
* Watch the notifications

When I add more system trays, there are still only 2 notifications shown on each monitor.

When I add a third monitor, I receive 3 notifications though.
Comment 1 Alexander Mentyu 2018-09-26 10:06:58 UTC
Can you please add more info about your system? Qt/Frameworks/Plasma/kernel/video cards drivers versions
Comment 2 Bart Willems 2018-10-10 14:08:01 UTC
I'm running Arch Linux, currently running Plasma 5.13. 
On my desktop I have a Radeon RX580, running the AMDGPU driver; on my laptop I have a nvidia card, running nouveau. Both systems have kernel 4.18.12, I don't know which version it was when I reported the issue.

I have this problem on both systems.
Comment 3 Kai Uwe Broulik 2019-05-09 09:33:08 UTC
Git commit 3c52fc3bc05e0f351d4998ad54edae1a4e21a043 by Kai Uwe Broulik.
Committed on 09/05/2019 at 09:29.
Pushed by broulik into branch 'master'.

Merge branch 'broulik/libnotificationmanager'

This includes:
libnotificationmanager https://phabricator.kde.org/D20265
New notification plasmoid: https://phabricator.kde.org/D20266
as well as dataengine compat: https://phabricator.kde.org/D20490 and https://phabricator.kde.org/D20491
Related: bug 222470, bug 402144, bug 405570, bug 391646, bug 401819, bug 400811, bug 390143, bug 390864, bug 374099, bug 360990, bug 346458, bug 398926, bug 390152, bug 342355, bug 402391, bug 399697, bug 400871, bug 398580
FIXED-IN: 5.16.0


https://commits.kde.org/plasma-workspace/3c52fc3bc05e0f351d4998ad54edae1a4e21a043